Bug 1402346 - (CVE-2016-9841) CVE-2016-9841 zlib: Out-of-bounds pointer arithmetic in inffast.c
CVE-2016-9841 zlib: Out-of-bounds pointer arithmetic in inffast.c
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160922,reported=2...
: Security
Depends On: 1402352 1503325 1503326 1503327 1503328 1503329 1503330 1503331 1503332 1503333 1503334 1503335 1503336
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-07 05:04 EST by Andrej Nemec
Modified: 2018-06-01 06:26 EDT (History)
45 users (show)

See Also:
Fixed In Version: zlib 1.2.9
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-07 05:11:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1220 normal SHIPPED_LIVE Moderate: java-1.8.0-ibm security update 2017-05-10 12:44:34 EDT
Red Hat Product Errata RHSA-2017:1221 normal SHIPPED_LIVE Moderate: java-1.7.1-ibm security update 2017-05-10 12:44:04 EDT
Red Hat Product Errata RHSA-2017:1222 normal SHIPPED_LIVE Moderate: java-1.6.0-ibm security update 2017-05-10 12:43:49 EDT
Red Hat Product Errata RHSA-2017:2999 normal SHIPPED_LIVE Critical: java-1.8.0-oracle security update 2017-12-14 15:18:50 EST
Red Hat Product Errata RHSA-2017:3046 normal SHIPPED_LIVE Important: java-1.7.0-oracle security update 2017-12-14 15:24:06 EST
Red Hat Product Errata RHSA-2017:3047 normal SHIPPED_LIVE Important: java-1.6.0-sun security update 2017-12-14 15:18:13 EST
Red Hat Product Errata RHSA-2017:3453 normal SHIPPED_LIVE Important: java-1.8.0-ibm security update 2017-12-13 16:48:15 EST

  None (edit)
Description Andrej Nemec 2016-12-07 05:04:55 EST
An old inffast.c optimization turns out to not be optimal anymore
with modern compilers, and furthermore was not compliant with the
C standard, for which decrementing a pointer before its allocated
memory is undefined.

External References:

https://wiki.mozilla.org/images/0/09/Zlib-report.pdf
https://docs.google.com/document/d/10i1KZS5so8xDqH2rplRa2xet0tyTvvJlLbQQmZIUIKE/edit#heading=h.t13tvnx4loq7

Upstream patch:

https://github.com/madler/zlib/commit/9aaec95e82117c1cb0f9624264c3618fc380cecb

CVE assignment:

http://seclists.org/oss-sec/2016/q4/602
Comment 1 Andrej Nemec 2016-12-07 05:13:57 EST
Created zlib tracking bugs for this issue:

Affects: fedora-all [bug 1402352]
Comment 2 errata-xmlrpc 2017-05-10 08:46:14 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2017:1222 https://access.redhat.com/errata/RHSA-2017:1222
Comment 3 errata-xmlrpc 2017-05-10 08:48:01 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary
  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2017:1221 https://access.redhat.com/errata/RHSA-2017:1221
Comment 4 errata-xmlrpc 2017-05-10 08:50:12 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary
  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2017:1220 https://access.redhat.com/errata/RHSA-2017:1220
Comment 8 errata-xmlrpc 2017-10-23 03:48:04 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2017:2999 https://access.redhat.com/errata/RHSA-2017:2999
Comment 9 errata-xmlrpc 2017-10-24 08:12:20 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2017:3047 https://access.redhat.com/errata/RHSA-2017:3047
Comment 10 errata-xmlrpc 2017-10-24 08:18:04 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2017:3046 https://access.redhat.com/errata/RHSA-2017:3046
Comment 11 Doran Moppert 2017-10-31 01:01:54 EDT
Quoting from the report
<https://wiki.mozilla.org/images/0/09/Zlib-report.pdf>:

> We have identified five areas where code in zlib invokes undefined
> behavior in the C standard. Use of this code does not currently
> generate buggy binaries, but it is possible that with future compilers
> or platforms these latent bugs may manifest in compiled code

Using GCC on Red Hat Enterprise Linux supported architectures, the UB
described in this flaw does not manifest as a bug.
Comment 12 errata-xmlrpc 2017-12-13 11:49:42 EST
This issue has been addressed in the following products:

  Red Hat Satellite 5.8
  Red Hat Satellite 5.8 ELS

Via RHSA-2017:3453 https://access.redhat.com/errata/RHSA-2017:3453

Note You need to log in before you can comment on or make changes to this bug.